#### D.5.2.41 chProj

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chProj(n); n integer

Return:
  list of (rational) numbers

Purpose:
  computes the terms of the Chern character of the tangent bundle on the complex projective space

Note:

Example:

    LIB "chern.lib";
    ring r=0, (t), dp;
    // the coefficients of the Chern character of the complex projective line
    print( chProj(1) );
    // the coefficients of the Chern character of the complex projective plane
    print( chProj(2) );
    // the coefficients of the Chern character of the complex 3-dimensional projective space
    print( chProj(3) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.